#  Copyright (c) 1997-2004
#  Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Berlin, Germany)
#  http://www.math.tu-berlin.de/polymake,  mailto:polymake@math.tu-berlin.de
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation; either version 2, or (at your option) any
#  later version: http://www.gnu.org/licenses/gpl.txt.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#-----------------------------------------------------------------------------
# $Project: polymake $$Id: namespaces.pm,v 1.4 2004/11/05 21:58:43 gawrilow Exp $

BEGIN { require "dumpvar.pl" if exists $DB::{DB} }

package namespaces;
use Poly::Ext;

sub uses {
   my $pkg=shift;
   exists ${"$pkg\::"}{".IMPORT"}
}

sub interceptDB {
   disable();
   goto &DB::DB;
}

INIT {
   unimport();
}

1;
